    /*
     *  call-seq:
     *     pq.adjust -> self
     *
     *  Sometimes you modify the top element in the priority queue so that its
     *  priority changes. When you do this you need to reorder the queue and you
     *  do this by calling the adjust method.
     */
    static VALUE
    frb_pq_adjust(VALUE self)
    {
        PriQ *pq;
        GET_PQ(pq, self);
        pq_down(pq);
        return self;
    }